﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GcDevicePc.GCBuffer
{
    class DPBuffer
    {
        public struct TiemInfo
        {
            public ushort runtimenow;
            public ushort alltime;
        }

        public struct TempInfo
        {
            //前进样口
            public float FPActualTemp;
            public float FPSetTemp;
            //后进样口
            public float BPActualTemp;
            public float BPSetTemp;
            //柱箱
            public float ColActualTemp;
            public float ColSetTemp;
            //前检测器
            public float fDetActualTemp;
            public float fDetSetTemp;
            //中检测器
            public float iDetActualTemp;
            public float iDetSetTemp;
            //后检测器
            public float bDetActualTemp;
            public float bDetSetTemp;

            //辅助Aux1
            public float AuxActualTemp1;
            public float AuxSetTemp1;
            //辅助Aux2
            public float AuxActualTemp2;
            public float AuxSetTemp2;

        }

        public struct valvetime
        {
            public float start1;
            public float end1;
            public float start2;
            public float end2;
            public float start3;
            public float end3;
            public float start4;
            public float end4;
        }

        public struct ValveShowInfo
        {
            public bool u16ValveOne;        //阀开关状态
            public valvetime ValveOneTime;  //时间
            public bool u16ValveTwo;        //阀开关状态
            public valvetime ValveTwoTime;  //时间
            public bool u16ValveThree;      //阀开关状态
            public valvetime ValveThreeTime;//时间
            public bool u16ValveFour;       //阀开关状态
            public valvetime ValveFourTime; //时间
            public bool u16ValveFive;       //阀开关状态
            public valvetime ValveFiveTime; //时间
            public bool u16ValveSix;       //阀开关状态
            public valvetime ValveSixTime; //时间
        }

        public struct ISportInfo
        {
            public float fallpressure;
            public float fpressure1;
            public float fpressure2;
            public float fpressure3;

            public float ballpressure;
            public float bpressure1;
            public float bpressure2;
            public float bpressure3;
        }

        public struct DetInfo
        {
            public ushort fDetStatue;
            public bool fDetSwitch;  //点火状态
            public float fDetValue;  //信号值
            public ushort fDetPol;   //档位

            public ushort iDetStatue;
            public bool iDetSwitch;
            public float iDetValue;
            public ushort iDetPol;

            public ushort bDetStatue;
            public bool bDetSwitch;
            public float bDetValue;
            public ushort bDetPol;
        }

        public struct ShowInfo
        {
          public TiemInfo showtime;
          public TempInfo showtemp;
          public ValveShowInfo showValve;
          public ISportInfo showISport;
          public DetInfo showDet;
        }

        public ShowInfo ShowList = new ShowInfo();

        public DPBuffer()
        {
            ShowList.showtime.runtimenow = 0;
            ShowList.showValve.ValveOneTime.start1 = 0;
        }

        ~DPBuffer()
        {

        }
    }
}
